Get Activity
Retrieve activity logs for a specific identity
GET https://api.orwel.io/api/v1/identities/{id}/activity
Path Parameters
idstringpathrequiredThe unique identifier of the identity
Query Parameters
limitintegerquerydefault: 50Maximum number of results to return (max: 100)
offsetintegerquerydefault: 0Number of results to skip for pagination
Response
dataarrayArray of activity objects
paginationobjectPagination information
Request
curl -X GET "https://api.orwel.io/api/v1/identities/ee0e8400-e29b-41d4-a716-446655440009/activity" \
-H "Authorization: Bearer orwel_sk_YOUR_KEY"Response
{
"data": [
{
"id": "activity-uuid",
"type": "page_view",
"who": "John Visitor",
"what": "Viewed Pricing Page",
"source": "web",
"created_at": "2025-01-10T08:05:00Z"
}
],
"pagination": {
"limit": 50,
"offset": 0,
"total": 1
}
}